# LEDEL

Based on udp server example + esp32 rgb led lib.

WORK IN PROGRESS -> WILL UPLOAD UPDATES AT SOME POINT, SORRY D:

IDEA:
* Get UDP & LEDS WORKING
* Create UDP protocol to send "led frames" directly
* A led frame is an array of rgbw for n leds
* Have a led frame buffer (:
* In the future have some preset animations can be controled by frames

* Once basic udp frames can be sent create libraries in different platforms to send em.


## BUILD

Use vagrant_up.sh script and magic will happen. Check the Vagrant file to connect the usb device.

dev_bootstrap.sh is for debian systems.

